Help Tk::Jpeg and Tk 800.023 
Author Message
 Help Tk::Jpeg and Tk 800.023

Hi everybody,

I have found something weird, after upgrading to Tk 800.023 (on PC with
activestatePerl)
I'm having trouble running Tk::Jpeg in combination with Tk800.023
if I run the following:

use Tk;
use Tk::JPEG;

I already get the error message:

'Tk::JPEG object version 800.022 does not match $Tk::JPEG::XS_VESION 800.023
at C:/perl/lib/Dynaloader.pm line 225'

Is this easy to fix, or has anyone seen a similar message before?
I did try and reinstall both Activestate Perl / Tk and Tk:;JPEG ...no luck



Fri, 20 Aug 2004 16:11:44 GMT  
 Help Tk::Jpeg and Tk 800.023


Quote:
> Hi everybody,

> I have found something weird, after upgrading to Tk 800.023 (on PC with
> activestatePerl)
> I'm having trouble running Tk::Jpeg in combination with Tk800.023
> 'Tk::JPEG object version 800.022 does not match $Tk::JPEG::XS_VESION
800.023
> at C:/perl/lib/Dynaloader.pm line 225'

Activestate hasn't been keeping up with their repositories. This was brought
to their attention a month ago and still nothing has been done. In the
following link - a 'fix' is given. I can't say if it works or not.

http://aspn.activestate.com/ASPN/Mail/Message/1010964

Jack



Fri, 20 Aug 2004 16:21:10 GMT  
 Help Tk::Jpeg and Tk 800.023

Quote:

> Hi everybody,

> I have found something weird, after upgrading to Tk 800.023 (on PC with
> activestatePerl)
> I'm having trouble running Tk::Jpeg in combination with Tk800.023
> if I run the following:

> use Tk;
> use Tk::JPEG;

> I already get the error message:

> 'Tk::JPEG object version 800.022 does not match $Tk::JPEG::XS_VESION 800.023
> at C:/perl/lib/Dynaloader.pm line 225'

> Is this easy to fix, or has anyone seen a similar message before?
> I did try and reinstall both Activestate Perl / Tk and Tk:;JPEG ...no luck

You have to reinstall a version of Tk::JPEG which is compiled against
Tk 800.023. If there's no such version, you have to ask ActiveState to
provide a new one.

Regards,
        Slaven

--

    BBBike - route planner for cyclists in Berlin
    WWW version:     http://www.bbbike.de
    Perl/Tk version: http://bbbike.sourceforge.net



Fri, 20 Aug 2004 16:17:08 GMT  
 Help Tk::Jpeg and Tk 800.023
On Win32/ActiveState, I did a remove and install using ppm and then it
worked (as of last night)


Quote:
> Hi everybody,

> I have found something weird, after upgrading to Tk 800.023 (on PC with
> activestatePerl)
> I'm having trouble running Tk::Jpeg in combination with Tk800.023
> if I run the following:

> use Tk;
> use Tk::JPEG;

> I already get the error message:

> 'Tk::JPEG object version 800.022 does not match $Tk::JPEG::XS_VESION
800.023
> at C:/perl/lib/Dynaloader.pm line 225'

> Is this easy to fix, or has anyone seen a similar message before?
> I did try and reinstall both Activestate Perl / Tk and Tk:;JPEG ...no luck



Sun, 22 Aug 2004 07:09:23 GMT  
 
 [ 4 post ] 

 Relevant Pages 

1. Tk Canvas createText() Tk VERSION 800.023

2. Trouble with FBox(3.019)/Tk(800.023)

3. -variable for Optionmenu is not recognised in ASPerl 531/ Tk 800.023

4. Canvas Rotated Text Patch for Perl/Tk 800.023

5. Trouble with FBox(3.019)/Tk(800.023)

6. Perl/Tk 800.023 and .024 / Tru64 Unix 5.1a / perl 5.6.1

7. problem with tk or tk:jpeg memory usage

8. Tk::PNG and Tk::JPeg module Problem

9. Solution found - Perl Module Tk::JPEG is not compatible with Tk

10. problem with tk or tk:jpeg memory usage

11. tk-jpeg-2.012 help?!?!

12. Hard-coded Solaris pathname in Tk::JPEG

 

 
Powered by phpBB® Forum Software